### Method

# Camel Stream set_base_stream

since: 3.12

#### Declaration [src]

    void
    camel_stream_set_base_stream (
      CamelStream* stream,
      GIOStream* base_stream
    )

#### Description [src]

Replaces the `GIOStream` passed to `camel_stream_new()` with `base_stream`. The new `base_stream` should wrap the original `GIOStream`, such as when adding Transport Layer Security after issuing a STARTTLS command.

Available since: 3.12

Sets property | `Camel.Stream:base-stream`

#### Parameters

`base_stream`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the method.